<?php

namespace App\Exports;

use App\Models\Server;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Illuminate\Support\Facades\DB;


class ServerQueryExport implements FromQuery, WithHeadings
{
    public function __construct(string $filter)
    {
        $this->filter = $filter;
    }

    private $headings = [
        "#", "Ip", "Server", "User", "Password", "Description"
    ];

    public function query()
    {
        \DB::statement(DB::raw('set @rownum=0'));
        return Server::query()
        ->select(\DB::raw('@rownum := @rownum + 1 AS rownum'), 'ip', 'server', 'user', 'password', 'description')
        ->Where('server.ip', 'like', '%'.$this->filter.'%')
        ->orWhere('server.server', 'like', '%'.$this->filter.'%')
        ->orWhere('server.user', 'like', '%'.$this->filter.'%')
        ->orWhere('server.password', 'like', '%'.$this->filter.'%')
        ->orWhere('server.description', 'like', '%'.$this->filter.'%');
    }

    public function headings() : array
    {

        return $this->headings;
    }  
}