<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Auth;
use Session;
use Redirect;
use Validator;
use Hash;

class AuthController extends Controller
{

    public function getLogin() {
        return view('login');
    }

    public function postLogin(Request $request) {
        $validator = Validator::make($request->all(), [
            'username' => 'required',
            'password' => 'required',
        ], [
            'required' => ':attribute belum diisi',
        ]);

        if ($validator->fails()) {
            return Redirect::back()->withErrors($validator);
        }

        $users = DB::table('users')
                ->select('username', 'password')
                ->where('username','=', $request->input('username'))
                ->first();
        if(isset($users)){
            $username = $users->username;
            $password = $users->password;
            if(Hash::check($request->input('password'),$password)){
                $credentials = $request->only('username','password');
                $request->session()->regenerate();
                if(Auth::attempt($credentials)){
                    Session::put('user', $username);
                    $notification = array(
                        'message' => 'Login Berhasil', 
                        'alert_type' => 'success',
                    );
                        return redirect('home')->with('notification', $notification);
                }
            } else {
                $notification = array(
                    'message' => 'Password Salah', 
                    'alert_type' => 'error',
                );
                return Redirect::back()->with('notification', $notification);
            }
        } else {
            $notification = array(
                'message' => 'Username belum terdaftar', 
                'alert_type' => 'error',
            );
            return Redirect::back()->with('notification', $notification);
        }
    }

    public function logout(Request $request) {
        Auth::logout();
        $request->session()->flush();
        $request->session()->regenerateToken();

        return redirect('/login');
    }
}
