<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
// use App\Models\Aksesmenu;
// use App\Models\Menu;
use App\Models\Server;
use App\Exports\ServerQueryExport;
use Auth;
use Redirect;
use Validator;

class ServerController extends Controller
{
    public function __construct() {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        // $referer = \Request::path();
        // $menu = Menu::where('link', $referer)->first();
        // $auth = Auth::user();
        // $akses_menu = Aksesmenu::where('id_level', $auth->id_level)->where('id_menu', $menu->id)->first();
        // if($akses_menu == NULL) {
        //     return redirect('/home');
        // }
        $filter = $request->query('filter');
        $decode = base64_decode($filter);
        if(!empty($filter)) {
            $server = Server::Where('server.ip', 'like', '%'.$decode.'%')
                    ->orWhere('server.server', 'like', '%'.$decode.'%')
                    ->orWhere('server.user', 'like', '%'.$decode.'%')
                    ->orWhere('server.password', 'like', '%'.$decode.'%')
                    ->orWhere('server.description', 'like', '%'.$decode.'%')
                    ->paginate(10);
        } else {
            $server = Server::paginate(10);
        }
            
        return view('server.read')->with('server', $server)->with('filter', $filter)->with('decode', $decode);
    }

    public function add()
    {
        return view('server.add');
    }
    
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'ip' => 'required',
            'server' => 'required',
            'user' => 'required',
            'password' => 'required',
        ], [
            'required' => ':attribute belum diisi',
        ]);

        if ($validator->fails()) {
            return Redirect::back()->withErrors($validator);
        }

        $notification = array(
            'message' => 'Data Server Telah Ditambahkan', 
            'alert_type' => 'success',
        );

        Server::create([
            'ip' => $request->input('ip'),
            'server' => $request->input('server'),
            'user' => $request->input('user'),
            'password' => $request->input('password'),
            'description' => $request->input('description'),
        ]);
        return redirect('/server')->with('notification', $notification);
    }

    public function edit($id)
    {
        $server = Server::find($id);
        return view('server.edit', compact('server'));
    }

    public function update(Request $request)
    {
        $notification = array(
            'message' => 'Data Server Telah Diubah', 
            'alert_type' => 'success',
        );

        Server::where('id', $request->input('id'))
                    ->update([
                        'ip' => $request->input('ip'),
                        'server' => $request->input('server'),
                        'user' => $request->input('user'),
                        'password' => $request->input('password'),
                        'description' => $request->input('description')]);
        return redirect('/server')->with('notification', $notification);
    }

    public function destroy($id)
    {
        $notification = array(
            'message' => 'Data Server Telah Dihapus', 
            'alert_type' => 'success',
        );
        Server::find($id)->delete();
        return redirect('/server')->with('notification', $notification);
    }

    public function export(Request $request) 
    {
        $referer = request()->headers->get('referer');
        $parse_url = parse_url($referer, PHP_URL_QUERY);
        $query = str_replace(["filter=", "+"], ["", " "], $parse_url);
        return Excel::download(new ServerQueryExport($query), 'Server.xlsx');
    }
}