<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Aksesmenu;
use App\Models\Menu;
use App\Models\Userlevel;
use Auth;
use Redirect;
use Validator;

class UserlevelController extends Controller
{
    public function __construct() {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        // $referer = \Request::path();
        // $menu = Menu::where('link', $referer)->first();
        // $auth = Auth::user();
        // $akses_menu = Aksesmenu::where('id_level', $auth->id_level)->where('id_menu', $menu->id)->first();
        // if($akses_menu == NULL) {
        //     return redirect('/home');
        // }
        $userLevel = Userlevel::paginate(10);

        // return view('userLevel.read')->with('userLevel', $userLevel)->with('akses_menu', $akses_menu);
        return view('userLevel.read')->with('userLevel', $userLevel);
    }

    public function add()
    {
        return view('userLevel.add');
    }
    
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'info' => 'required',
        ], [
            'required' => ':attribute belum diisi',
        ]);

        if ($validator->fails()) {
            return Redirect::back()->withErrors($validator);
        }

        $notification = array(
            'message' => 'Data User Level Telah Ditambah', 
            'alert_type' => 'success',
        );

        Userlevel::create([
            'info' => $request->info,
            ]);
        return redirect('/userlevel')->with('notification', $notification);
    }

    public function edit($id)
    {
        $userLevel = Userlevel::find($id);
        return view('userLevel.edit', compact('userLevel'));
    }

    public function update(Request $request)
    {
        $notification = array(
            'message' => 'Data User Level Telah Diubah', 
            'alert_type' => 'success',
        );

        Userlevel::where('id', $request->id)
                    ->update([
                        'info' => $request->info,]);
        return redirect('/userlevel')->with('notification', $notification);
    }

    public function destroy($id)
    {
        $notification = array(
            'message' => 'Data User Level Telah Dihapus', 
            'alert_type' => 'success',
        );

        Userlevel::find($id)->delete();
        return redirect('/userlevel')->with('notification', $notification);
    }
}
