<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>AdminLTE 3 | Log in</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('css/all.min.css') }}">
  <!-- icheck bootstrap -->
  <link rel="stylesheet" href="{{ asset('css/icheck-bootstrap.min.css') }}">
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="{{ asset('css/bootstrap-4.min.css') }}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('css/adminlte.min.css') }}">

</head>
<body class="hold-transition login-page">
<div class="login-box">
  <!-- /.login-logo -->
  <div class="card">
    <div class="card-body login-card-body">

      <form method="post">
      @csrf
        <div class="input-group mb-3">
          <input name="username" type="text" class="form-control @error('username') is-invalid @enderror" placeholder="Username">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
          <div class="invalid-feedback">
              @error('username')
                {{ $message }}
              @enderror       
          </div>
        </div>
        <div class="input-group mb-3">
          <input name="password" type="password" class="form-control @error('password') is-invalid @enderror" placeholder="Password">
          <div class="input-group-append show-password icon-eye-close">
            <div class="input-group-text">
              <span class="fas fa-eye"></span>
            </div>
          </div>
          <div class="invalid-feedback">
            @error('password')
              {{ $message }}
            @enderror
          </div>
        </div>
        <div class="row">
            <button type="submit" class="btn btn-primary btn-block">Sign In</button>
        </div>
      </form>
    </div>
    <!-- /.login-card-body -->
  </div>
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="{{ asset('js/jquery.min.js') }}"></script>
<!-- Bootstrap 4 -->
<script src="{{ asset('js/bootstrap.bundle.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ asset('js/adminlte.min.js') }}"></script>
<!-- SweetAlert2 -->
<script src="{{ asset('js/sweetalert2.min.js') }}"></script>
<!-- Custom -->
<script src="{{ asset('js/app.js') }}"></script>
<script>
  @if(Session::has('notification'))
    const Toast = Swal.mixin({
      toast: true,
      position: 'top-end',
      showConfirmButton: false,
      timer: 3000
    });
    var typeNotification = "{{ Session::get('notification')['alert_type']}}";
    switch(typeNotification){
    case 'info':
        Swal.fire({
          type: 'info',
          icon: 'info',
          title: "{{ Session::get('notification')['message'] }}"
        });
        break;

    case 'warning':
        Swal.fire({
          type: 'warning',
          icon: 'warning',
          title: "{{ Session::get('notification')['message'] }}"
        });
        break;

    case 'success':
        Swal.fire({
          type: 'success',
          icon: 'success',
          title: "{{ Session::get('notification')['message'] }}"
        });
        break;

    case 'error':
        Swal.fire({
          type: 'error',
          icon: 'error',
          title: "{{ Session::get('notification')['message'] }}"
        });
}
  @endif
</script>
</body>
</html>