@extends('layouts.app')

@section('css')
  <!-- CUSTOM STYLE -->
  <link rel="stylesheet" href="{{ asset('css/custom.css') }}">
@stop

@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Server</h1>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-sm-9 col-md-9">
                    <a class="btn btn-primary" href="/server/add">Add</a>
                    <a class="btn btn-secondary" href="/server/export">Export Server Data</a>
                  </div>
                  <div class="col-sm-3 col-md-3">
                    <div id="example1_filter" class="dataTables_filter">
                      <form action="" method="get">
                          <div class="input-group mb-3 col-md-12 float-right">
                          <input type="text" class="form-control" id="filter" value="{{ $decode }}"  autocomplete="off" onblur="blurFunction()">
                          <input type="hidden" class="form-control" id="filterhidden" name="filter" value="{{base64_encode($decode)}}" autocomplete="off">
                              <div class="input-group-append">
                                  <button class="btn btn-secondary" type="submit">Search</button>
                              </div>
                          </div>
                      </form>
                    </div>
                  </div>
                </div>
                <table class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>No</th>
                    <th>Ip</th>
                    <th>Server</th>
                    <th>User</th>
                    <th>Password</th>
                    <th>Description</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody>
                    @foreach($server as $s)
                    <tr>
                      <th scope="row">{{ $loop->iteration + $server->firstItem() - 1  }}</th>
                      <td>{{ $s->ip }}</td>
                      <td>{{ $s->server }}</td>
                      <td>{{ $s->user }}</td>
                      <td>{{ $s->password }}</td>
                      <td>{{ $s->description }}</td>
                      <td>
                      <a class="btn btn-primary" href="/server/edit/{{ $s->id }}">Edit</a>
                      <form action="/server/delete/{{ $s->id }}" method="POST" style="margin-top: -38px; margin-left: 55px;">
                        @method('delete')
                        @csrf
                        <button type="submit" onclick="return confirm('Apakah anda yakin ingin menghapus dengan nomor {{ $s->id }}')" class="btn btn-danger deleteBooking">Delete</button>
                      </form>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
                <br>
                <div class="row custom-pagination">
                  <div class="col-sm-12 col-md-3">
                    <div class="dataTables_info" id="example1_info" role="status" aria-live="polite">Showing {{ $server->firstItem() }} to {{ $server->lastItem() }} of {{ $server->total() }}</div>
                  </div>
                        {{ $server->withQueryString()->links() }}
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
@stop

@section('js')
<script>
  function blurFunction() {
  // No focus = Changes the background color of input to red
  const z = document.getElementById('filter').value;
  document.getElementById('filterhidden').value = btoa(z);
}
</script>
@stop