@extends('layouts.app')

@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Edit User</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">

            <div class="card">
              <!-- /.card-header -->
              <div class="card-body">
              <form method="POST" action="/user/update">
                        @csrf
                        <input type="hidden" name="id" value="{{ $user->id }}">
                        <div class="form-group">
                            <label>Username</label>
                            <input type="text" value="{{ $user->username }}" name="username" class="form-control @error('username') is-invalid @enderror">
                            <div class="invalid-feedback">
                              @error('username')
                                {{ $message }}
                              @enderror
                            </div>
                        </div>
                        <label>Password</label>
                        <div class="input-group mb-3">
                            <input name="password" type="password" class="form-control @error('password') is-invalid @enderror" placeholder="Password">
                            <div class="input-group-append show-password icon-eye-close">
                                <div class="input-group-text">
                                <span class="fas fa-eye"></span>
                                </div>
                            </div>
                            <div class="invalid-feedback">
                                @error('password')
                                {{ $message }}
                                @enderror
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Fullname</label>
                            <input type="text" name="fullname"  value="{{ $user->fullname }}" class="form-control @error('fullname') is-invalid @enderror">
                            <div class="invalid-feedback">
                              @error('fullname')
                                {{ $message }}
                              @enderror
                            </div>
                        </div>
                        <div class="form-group">
                            <label>ID Level</label>
                            <select class="form-control @error('id_level') is-invalid @enderror" name="id_level">
                            @foreach ($userLevel as $key => $value)
                              <option value="{{ $key }}" {{ ( $key == $user->id_level) ? 'selected' : '' }}>{{ $value }}</option>
                            @endforeach 
                        </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" class="btn btn-primary">Apply</button>
                        <a class="btn btn-secondary" href="/userlevel">Cancel</a>
                    </div>
                </form>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
@stop

@section('js')
  <!-- Custom -->
  <script src="{{ asset('js/app.js') }}"></script>
@stop