@extends('layouts.app')

@section('css')
  <!-- CUSTOM STYLE -->
  <link rel="stylesheet" href="{{ asset('css/custom.css') }}">
@stop

@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>User</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">

            <div class="card">
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-sm-9 col-md-9">
                    <a class="btn btn-primary" href="/user/add">Add</a>
                  </div>
                  <div class="col-sm-3 col-md-3">
                    <div id="example1_filter" class="dataTables_filter">
                      <form action="" method="get">
                          <div class="input-group mb-3 col-md-12 float-right">
                          <input type="text" class="form-control" id="filter" name="filter" value="{{$filter}}" autocomplete="off">
                              <div class="input-group-append">
                                  <button class="btn btn-secondary" type="submit">Search</button>
                              </div>
                          </div>
                      </form>
                    </div>
                  </div>
                </div>
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>No</th>
                    <th>Fullname</th>
                    <th>Username</th>
                    <th>Level</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody>
                    @foreach($user as $u)
                    <tr>
                      <th scope="row">{{ $loop->iteration + $user->firstItem() - 1  }}</th>
                      <td>{{ $u->fullname }}</td>
                      <td>{{ $u->username }}</td>
                      <td>{{ $u->info }}</td>
                      <td>
                      <a class="btn btn-primary" href="/user/edit/{{ $u->id }}">Edit</a>
                      <form action="/user/delete/{{ $u->id }}" method="POST" style="margin-top: -38px; margin-left: 55px;">
                        @method('delete')
                        @csrf
                        <button type="submit" onclick="return confirm('Apakah anda yakin ingin menghapus dengan nomor {{ $u->fullname }}')" class="btn btn-danger deleteBooking">Delete</button>
                      </form>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
                <br>
                <div class="row custom-pagination">
                  <div class="col-sm-12 col-md-6">
                    <div class="dataTables_info" id="example1_info" role="status" aria-live="polite">Showing {{ $user->currentPage() }} to {{ $user->lastItem() }} of {{ $user->total() }}</div>
                  </div>
                        {{ $user->withQueryString()->links() }}
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
@stop