@extends('layouts.app')

@section('css')
  <!-- CUSTOM STYLE -->
  <link rel="stylesheet" href="{{ asset('css/custom.css') }}">
@stop

@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>User Level</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">

            <div class="card">
              <div class="card-header">
                <a class="btn btn-primary" href="/userlevel/add">Add</a>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>No</th>
                    <th>Info</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody>
                    @foreach($userLevel as $u)
                    <tr>
                      <th scope="row">{{ $loop->iteration + $userLevel->firstItem() - 1  }}</th>
                      <td>{{ $u->info }}</td>
                      <td>
                      <a class="btn btn-primary" href="/userlevel/edit/{{ $u->id }}">Edit</a>
                      <form action="/userlevel/delete/{{ $u->id }}" method="POST" style="margin-top: -38px; margin-left: 55px;">
                        @method('delete')
                        @csrf
                        <button type="submit" onclick="return confirm('Apakah anda yakin ingin menghapus dengan data {{ $u->info }}')" class="btn btn-danger">Delete</button>
                      </form>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
                <br>
                <div class="row custom-pagination">
                  <div class="col-sm-12 col-md-6">
                    <div class="dataTables_info" id="example1_info" role="status" aria-live="polite">Showing {{ $userLevel->currentPage() }} to {{ $userLevel->lastItem() }} of {{ $userLevel->total() }}</div>
                  </div>
                        {{ $userLevel->withQueryString()->links() }}
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
@stop