<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', function () {
    return redirect('/login');
});

Route::get('/login', 'App\Http\Controllers\AuthController@getLogin')->name('login');
Route::post('/login', 'App\Http\Controllers\AuthController@postLogin');
Route::get('/logout', 'App\Http\Controllers\AuthController@logout');
Route::get('/home', 'App\Http\Controllers\HomeController@index');

Route::get('/user', 'App\Http\Controllers\UserController@index');
Route::get('/user/add', 'App\Http\Controllers\UserController@add');
Route::post('/user/store', 'App\Http\Controllers\UserController@store');
Route::get('/user/edit/{id}', 'App\Http\Controllers\UserController@edit');
Route::post('/user/update', 'App\Http\Controllers\UserController@update');
Route::delete('/user/delete/{id}', 'App\Http\Controllers\UserController@destroy');

Route::get('/userlevel', 'App\Http\Controllers\UserlevelController@index');
Route::get('/userlevel/add', 'App\Http\Controllers\UserlevelController@add');
Route::post('/userlevel/store', 'App\Http\Controllers\UserlevelController@store');
Route::get('/userlevel/edit/{id}', 'App\Http\Controllers\UserlevelController@edit');
Route::post('/userlevel/update', 'App\Http\Controllers\UserlevelController@update');
Route::delete('/userlevel/delete/{user_id}', 'App\Http\Controllers\UserlevelController@destroy');

Route::get('/server', 'App\Http\Controllers\ServerController@index');
Route::get('/server/add', 'App\Http\Controllers\ServerController@add');
Route::post('/server/store', 'App\Http\Controllers\ServerController@store');
Route::get('/server/edit/{id}', 'App\Http\Controllers\ServerController@edit');
Route::post('/server/update', 'App\Http\Controllers\ServerController@update');
Route::delete('/server/delete/{user_id}', 'App\Http\Controllers\ServerController@destroy');
Route::get('/server/export', 'App\Http\Controllers\ServerController@export');